Arch Floor/pt: Difference between revisions

From FreeCAD Documentation
(Created page with "Category:Arch/pt")
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{GuiCommand/pt|Name=Arch Floor|Name/pt=Arch Floor|Workbenches=[[Arch Module/pt|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building/pt|Arch Building]], [[Arch Site/pt|Arch Site]]}}
{{GuiCommand/pt|Name=Arch Floor|Name/pt=Arch Floor|Workbenches=[[Arch Module/pt|Arch]]|MenuLocation=Arch → Floor|Shortcut=F L|SeeAlso=[[Arch Building/pt|Arch Building]], [[Arch Site/pt|Arch Site]]}}
</div>


==Descrição==
==Descrição==
Line 8: Line 10:
==Como usar==
==Como usar==


<div class="mw-translate-fuzzy">
# Opcionalmente, selecione um ou mais objetos para serem incluídos no seu novo piso
# Opcionalmente, selecione um ou mais objetos para serem incluídos no seu novo piso
# Pressione o icone {{KEY|[[Image:Arch Floor.png|16px]] '''Piso Arch'''}} ou pressione as teclas {{KEY|F}} e {{KEY|L}}
# Pressione o icone {{KEY|[[Image:Arch Floor.png|16px]] '''Piso Arch'''}} ou pressione as teclas {{KEY|F}} e {{KEY|L}}
</div>


==Options==
==Options==


* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the [[Image:Arch Add.png|16px]] [[Arch Add]] tool
* After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the {{Button|[[Image:Arch Add.svg|16px]] [[Arch Add]]}} tool.
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the [[Image:Arch Remove.png|16px]] [[Arch Remove]] tool
* You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the {{Button|[[Image:Arch Remove.svg|16px]] [[Arch Remove]]}} tool.


==Properties==
==Properties==
Line 21: Line 25:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


The Floor tool can by used in [[macros]] and from the python console by using the following function:
The Floor tool can be used in [[macros]] and from the [[Python]] console by using the following function:
{{Code|code=
{{Code|code=
makeFloor ([objectslist])
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
}}
}}

creates a floor including the objects from the given list.
* Creates a {{incode|Floor}} object from {{incode|objectslist}}, which is a list of objects.


Example:
Example:
{{Code|code=
{{Code|code=
import Arch
import FreeCAD, Draft, Arch
Arch.makeFloor()
}}


p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
}}
<div class="mw-translate-fuzzy">
[[Category:Arch/pt]]
[[Category:Arch/pt]]
</div>

Revision as of 17:36, 30 January 2019

Arch Floor

Localização do menu
Arch → Floor
Bancadas de trabalho
Arch
Atalho padrão
F L
Introduzido na versão
-
Veja também
Arch Building, Arch Site

Descrição

O piso "Arch" é um tipo especial de grupo do FreeCAD que tem algumas propriedades adicionais particularmente ajustadas aos piso dos edifícios. Em particular a propriedade altura, que os objetos nele contidos (paredes e estruturas) podem usar para definir a sua própria altura automaticamente. Estes são usados principalmente para organizar o modelo.

Como usar

  1. Opcionalmente, selecione um ou mais objetos para serem incluídos no seu novo piso
  2. Pressione o icone Piso Arch ou pressione as teclas F e L

Options

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Properties

  • DadosHeight: The height of the floor, to be used by its child objects

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()